## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSetNodeProxyAllocator Class Reference

`#include <XNodeSetNodeProxyAllocator.hpp>`

Collaboration diagram for XNodeSetNodeProxyAllocator:

[legend]
List of all members.

## Public Types

- typedef XNodeSetNodeProxy nodeset_type
- typedef ReusableArenaAllocator<
  nodeset_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XNodeSetNodeProxyAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XNodeSetNodeProxyAllocator ()
- nodeset_type* create (XalanNode *value)
    Create an object using the allocator. More...
- nodeset_type* clone (const XNodeSetNodeProxy &value)
    Clone an XNodeSet object. More...
- bool destroy (nodeset_type *theNodeSet)
    Delete an XNodeSet object from allocator. More...
- bool ownsObject (const nodeset_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XNodeSet objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< nodeset_type > XNodeSetNodeProxyAllocator::ArenaAllocatorType<nodeset_type>

typedef XNodeSetNodeProxy XNodeSetNodeProxyAllocator::nodeset_type

typedef ArenaAllocatorType::size_type XNodeSetNodeProxyAllocator::size_type

## Constructor & Destructor Documentation

XNodeSetNodeProxyAllocator::XNodeSetNodeProxyAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XNodeSetNodeProxyAllocator::~XNodeSetNodeProxyAllocator ( | )

## Member Function Documentation

nodeset_type * XNodeSetNodeProxyAllocator::clone ( | const XNodeSetNodeProxy & value )

  | Clone an XNodeSet object. Parameters:
  value | source instance
Returns: pointer to a new instance

nodeset_type * XNodeSetNodeProxyAllocator::create ( | XalanNode * value )

  | Create an object using the allocator. Parameters:
  value | source node
Returns: pointer to instance

bool XNodeSetNodeProxyAllocator::destroy ( | nodeset_type * theNodeSet )

| Delete an XNodeSet object from allocator.

size_type XNodeSetNodeProxyAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XNodeSetNodeProxyAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XNodeSetNodeProxyAllocator::ownsObject ( | const nodeset_type * theObject )

| Determine if an object is owned by the allocator...

void XNodeSetNodeProxyAllocator::reset ( | )

| Delete all XNodeSet objects from allocator.

The documentation for this class was generated from the following file:

- XNodeSetNodeProxyAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.